Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.calendar.schema
Interface DateRangeType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface DateRangeType

extends XmlObject

An XML dateRangeType(@http://www.bea.com/wli/calendar/schema). This is a complex type.

Nested Class Summary
`static class` | `DateRangeType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`int` | `getEndDay()` Gets the "endDay" element
`int` | `getEndMonth()` Gets the "endMonth" element
`int` | `getStartDay()` Gets the "startDay" element
`int` | `getStartMonth()` Gets the "startMonth" element
`int` | `getYear()` Gets the "year" element
`boolean` | `isSetYear()` True if has "year" element
`void` | `setEndDay(int endDay)` Sets the "endDay" element
`void` | `setEndMonth(int endMonth)` Sets the "endMonth" element
`void` | `setStartDay(int startDay)` Sets the "startDay" element
`void` | `setStartMonth(int startMonth)` Sets the "startMonth" element
`void` | `setYear(int year)` Sets the "year" element
`void` | `unsetYear()` Unsets the "year" element
`XmlInt` | `xgetEndDay()` Gets (as xml) the "endDay" element
`XmlInt` | `xgetEndMonth()` Gets (as xml) the "endMonth" element
`XmlInt` | `xgetStartDay()` Gets (as xml) the "startDay" element
`XmlInt` | `xgetStartMonth()` Gets (as xml) the "startMonth" element
`XmlInt` | `xgetYear()` Gets (as xml) the "year" element
`void` | `xsetEndDay(XmlInt endDay)` Sets (as xml) the "endDay" element
`void` | `xsetEndMonth(XmlInt endMonth)` Sets (as xml) the "endMonth" element
`void` | `xsetStartDay(XmlInt startDay)` Sets (as xml) the "startDay" element
`void` | `xsetStartMonth(XmlInt startMonth)` Sets (as xml) the "startMonth" element
`void` | `xsetYear(XmlInt year)` Sets (as xml) the "year" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getStartDay

    int getStartDay()

  Gets the "startDay" element

### xgetStartDay

    XmlInt xgetStartDay()

  Gets (as xml) the "startDay" element

### setStartDay

    void setStartDay(int startDay)

  Sets the "startDay" element

### xsetStartDay

    void xsetStartDay(XmlInt startDay)

  Sets (as xml) the "startDay" element

### getStartMonth

    int getStartMonth()

  Gets the "startMonth" element

### xgetStartMonth

    XmlInt xgetStartMonth()

  Gets (as xml) the "startMonth" element

### setStartMonth

    void setStartMonth(int startMonth)

  Sets the "startMonth" element

### xsetStartMonth

    void xsetStartMonth(XmlInt startMonth)

  Sets (as xml) the "startMonth" element

### getEndDay

    int getEndDay()

  Gets the "endDay" element

### xgetEndDay

    XmlInt xgetEndDay()

  Gets (as xml) the "endDay" element

### setEndDay

    void setEndDay(int endDay)

  Sets the "endDay" element

### xsetEndDay

    void xsetEndDay(XmlInt endDay)

  Sets (as xml) the "endDay" element

### getEndMonth

    int getEndMonth()

  Gets the "endMonth" element

### xgetEndMonth

    XmlInt xgetEndMonth()

  Gets (as xml) the "endMonth" element

### setEndMonth

    void setEndMonth(int endMonth)

  Sets the "endMonth" element

### xsetEndMonth

    void xsetEndMonth(XmlInt endMonth)

  Sets (as xml) the "endMonth" element

### getYear

    int getYear()

  Gets the "year" element

### xgetYear

    XmlInt xgetYear()

  Gets (as xml) the "year" element

### isSetYear

    boolean isSetYear()

  True if has "year" element

### setYear

    void setYear(int year)

  Sets the "year" element

### xsetYear

    void xsetYear(XmlInt year)

  Sets (as xml) the "year" element

### unsetYear

    void unsetYear()

  Unsets the "year" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD